# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media.mediarss
Class MediaAttributeHelper

    java.lang.Object
      com.google.gdata.data.media.mediarss.MediaAttributeHelper

    public class MediaAttributeHelper

extends java.lang.Object

Helps accessing media tag attributes.

Constructor Summary
`MediaAttributeHelper()`

Method Summary
`static NormalPlayTime` `consumeNormalPlayTime(AttributeHelper attrHelper, java.lang.String name)` Gets the value of a NPT attribute and remove it from the list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaAttributeHelper

    public MediaAttributeHelper()

Method Detail

### consumeNormalPlayTime

    public static NormalPlayTime consumeNormalPlayTime(AttributeHelper attrHelper,
                                                       java.lang.String name)
                                                throws ParseException

  Gets the value of a NPT attribute and remove it from the list.

  Throws:
    `ParseException`